Subject: Re: [PATCH] ehea: PPC - New hcall opcode defines

From: Thomas Klein <[email-masked]>
Date: Fri, 11 Aug 2006 11:49:59 +0200

Stephen Rothwell wrote:
> On Thu, 10 Aug 2006 17:05:28 +0200 Thomas Klein <[email-masked]> wrote:
>   
>> diff -Nurp -X dontdiff linux-2.6.18-rc4/include/asm-powerpc/hvcall.h patched_kernel/include/asm-powerpc/hvcall.h
>> --- linux-2.6.18-rc4/include/asm-powerpc/hvcall.h	2006-08-06 11:20:11.000000000 -0700
>> +++ patched_kernel/include/asm-powerpc/hvcall.h	2006-08-10 06:26:33.018907062 -0700
>> @@ -201,6 +201,19 @@
>>   #define H_JOIN			0x298
>>   #define H_VASI_STATE            0x2A4
>>   #define H_ENABLE_CRQ		0x2B0
>> +#define H_ALLOC_HEA_RESOURCE	0x278
>> +#define H_MODIFY_HEA_QP		0x250
>> +#define H_QUERY_HEA_QP		0x254
>> +#define H_QUERY_HEA		0x258
>> +#define H_QUERY_HEA_PORT	0x25C
>> +#define H_MODIFY_HEA_PORT	0x260
>> +#define H_REG_BCMC		0x264
>> +#define H_DEREG_BCMC		0x268
>> +#define H_REGISTER_HEA_RPAGES	0x26C
>> +#define H_DISABLE_AND_GET_HEA	0x270
>> +#define H_GET_HEA_INFO		0x274
>> +#define H_ADD_CONN		0x284
>> +#define H_DEL_CONN		0x288
>>     
>
> This patch appears to be whitespace damaged and it would be preferable if
> the new defines were in there correct places in numerical order.
>
> Thanks.
>
>   
I agree. I posted a new patch 
(http://ozlabs.org/pipermail/linuxppc-dev/2006-August/025032.html)
where I rearranged the defines to fit in the numerical order with the 
other defines.

The whitespaces are not damaged although they appear to be. This is due 
to the usage of
TAB characters to align the hex values. TAB characters are used in the 
whole file to align the
numerical values. I applied the patch and the result looks okay.